List Applications
/applications
Returns the list of Essbase applications. Connection name and application name for connection are optional parameters.
If you provide only a connection name with no application name, this API fetches all applications using that named connection.
If you provide a connection name and application name, this API fetches the specified applications using the specified connection.
Use the fields parameter to return only required fields.
Limitation: If the application status is required in response, the limit must be less than or equal to 100.
Request
-
applicationNameForConnection:
Application name for connection.
-
connectionName:
Connection name.
-
fields:
Comma-separated list of fields to be returned in response fields. If omitted, all fields are returned.
-
filter:
-
limit:
Maximum number of applications to return. Default is 50.
-
offset:
Number of applications to omit from the start of the result set. Default value is 0.
-
orderBy:
Order By specification in format:
column:direction. For example,name:asc.
Response
200 Response
OK
Application list returned successfully.
400 Response
Bad Request
Failed to get applications.
500 Response
Internal Server Error.
Examples
The following example shows how to retrieve a list of Essbase applications.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications?filter=*&offset=0&limit=50&links=none" -H "accept: application/json" -u %User%:%Password%Example of Response Body
The following example shows the contents of the response body in JSON format:
{
"items": [
{
"name": "ASOSamp",
"owner": "admin",
"creationTime": 1572892960265,
"status": "stopped",
"type": "ASO",
"connectedUsersCount": 0,
"description": "",
"modifiedBy": "admin",
"modifiedTime": 1572892960000,
"role": "app_manager",
"startStopAppAllowed": "true",
"inspectAppAllowed": "true",
"appVariablesSetting": {
"showVariables": true,
"updateVariables": true
}
},
{
"name": "Sample",
"owner": "admin",
"creationTime": 1571317262832,
"status": "stopped",
"type": "BSO",
"connectedUsersCount": 0,
"description": "",
"modifiedBy": "admin",
"modifiedTime": 1571317262000,
"role": "app_manager",
"startStopAppAllowed": "true",
"inspectAppAllowed": "true",
"appVariablesSetting": {
"showVariables": true,
"updateVariables": true
}
},
{
"name": "Sample_Dynamic",
"owner": "admin",
"creationTime": 1571317308132,
"status": "stopped",
"type": "BSO",
"connectedUsersCount": 0,
"description": "",
"modifiedBy": "admin",
"modifiedTime": 1571317308000,
"role": "app_manager",
"startStopAppAllowed": "true",
"inspectAppAllowed": "true",
"appVariablesSetting": {
"showVariables": true,
"updateVariables": true
}
}
],
"offset": 0,
"limit": 50,
"count": 3,
"totalResults": 3,
"hasMore": false
}